> For the complete documentation index, see [llms.txt](https://developer.firmhouse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.firmhouse.com/graphql-api/api-reference/objects/order-line.md).

# OrderLine

### Fields

#### id ([ID](/graphql-api/api-reference/objects/id.md)!)

ID to identify the order line with

#### metadata ([JSON](/graphql-api/api-reference/objects/json.md))

Metadata makes it possible to store additional information on objects.

#### product ([Product](/graphql-api/api-reference/objects/product.md)!)

The product for this order line

#### productSku ([String](/graphql-api/api-reference/objects/string.md))

The product sku at the moment or order creation

#### productTitle ([String](/graphql-api/api-reference/objects/string.md))

The product title at the moment or order creation

#### productType ([OrderedProductTypes](/graphql-api/api-reference/objects/ordered-product-types.md))

The product type at the moment of order creation

#### quantity ([Int](/graphql-api/api-reference/objects/int.md)!)

The quantity of products for this order line

#### taxPercentage ([Float](/graphql-api/api-reference/objects/float.md))

The tax percentage for this order line

#### totalAmountExcludingTaxCents ([Int](/graphql-api/api-reference/objects/int.md))

The total amount for this order line excluding tax in cents (not including discounts)

#### totalAmountIncludingTaxCents ([Int](/graphql-api/api-reference/objects/int.md))

The total amount for this order line including tax in cents (not including discounts)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.firmhouse.com/graphql-api/api-reference/objects/order-line.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
